Bug 1238376 - Review Request: mingw-freexl - MinGW Windows freexl library
Summary: Review Request: mingw-freexl - MinGW Windows freexl library
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Juan Orti Alcaine
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1238380
Blocks: 1238378 1238382
TreeView+ depends on / blocked
 
Reported: 2015-07-01 18:28 UTC by Sandro Mani
Modified: 2017-09-05 07:46 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-05 07:46:29 UTC
j.orti.alcaine: fedora-review+


Attachments (Terms of Use)

Description Sandro Mani 2015-07-01 18:28:43 UTC
Spec URL: https://smani.fedorapeople.org/review/mingw-freexl.spec
SRPM URL: https://smani.fedorapeople.org/review/mingw-freexl-1.0.1-1.fc23.src.rpm
Description: MinGW Windows freexl library
Fedora Account System Username: smani

Comment 1 Upstream Release Monitoring 2015-12-03 20:42:29 UTC
pbrobinson's scratch build of mingw-qt5-qtdeclarative?#0591cb7cdaa968100fd75da17c3cd72799f2a797 for epel7-archbootstrap and git://pkgs.fedoraproject.org/mingw-qt5-qtdeclarative?#0591cb7cdaa968100fd75da17c3cd72799f2a797 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12038486

Comment 2 Upstream Release Monitoring 2015-12-03 20:43:42 UTC
pbrobinson's scratch build of mingw-qt5-qtbase?#824459d300a4cd07124c3e4967064eec3818d7e2 for epel7-archbootstrap and git://pkgs.fedoraproject.org/mingw-qt5-qtbase?#824459d300a4cd07124c3e4967064eec3818d7e2 failed http://koji.fedoraproject.org/koji/taskinfo?taskID=12038485

Comment 3 Upstream Release Monitoring 2015-12-03 20:44:34 UTC
pbrobinson's scratch build of mingw-pkg-config?#e46789095e76e3f10f8da9d5c3390029618a5f93 for epel7-archbootstrap and git://pkgs.fedoraproject.org/mingw-pkg-config?#e46789095e76e3f10f8da9d5c3390029618a5f93 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=12038484

Comment 5 Juan Orti Alcaine 2017-09-03 20:38:42 UTC
Approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: mingw32-freexl-1.0.3-1.fc28.noarch.rpm
          mingw64-freexl-1.0.3-1.fc28.noarch.rpm
          mingw-freexl-1.0.3-1.fc28.src.rpm
mingw32-freexl.noarch: E: arch-independent-package-contains-binary-or-object /usr/i686-w64-mingw32/sys-root/mingw/lib/libfreexl.dll.a
mingw32-freexl.noarch: W: no-documentation
mingw32-freexl.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/include/freexl.h
mingw32-freexl.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/libfreexl.dll.a
mingw32-freexl.noarch: W: spurious-executable-perm /usr/i686-w64-mingw32/sys-root/mingw/lib/libfreexl.dll.a
mingw32-freexl.noarch: W: devel-file-in-non-devel-package /usr/i686-w64-mingw32/sys-root/mingw/lib/pkgconfig/freexl.pc
mingw32-freexl.noarch: W: non-standard-dir-in-usr i686-w64-mingw32
mingw64-freexl.noarch: E: arch-independent-package-contains-binary-or-object /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libfreexl.dll.a
mingw64-freexl.noarch: W: no-documentation
mingw64-freexl.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/include/freexl.h
mingw64-freexl.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libfreexl.dll.a
mingw64-freexl.noarch: W: spurious-executable-perm /usr/x86_64-w64-mingw32/sys-root/mingw/lib/libfreexl.dll.a
mingw64-freexl.noarch: W: devel-file-in-non-devel-package /usr/x86_64-w64-mingw32/sys-root/mingw/lib/pkgconfig/freexl.pc
mingw64-freexl.noarch: W: non-standard-dir-in-usr x86_64-w64-mingw32
3 packages and 0 specfiles checked; 2 errors, 12 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
mingw32-freexl.noarch: W: no-documentation
mingw64-freexl.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
mingw32-freexl (rpmlib, GLIBC filtered):
    mingw32(iconv.dll)
    mingw32(kernel32.dll)
    mingw32(msvcrt.dll)
    mingw32-crt
    mingw32-filesystem
    mingw32-pkg-config

mingw64-freexl (rpmlib, GLIBC filtered):
    mingw64(iconv.dll)
    mingw64(kernel32.dll)
    mingw64(msvcrt.dll)
    mingw64-crt
    mingw64-filesystem
    mingw64-pkg-config



Provides
--------
mingw32-freexl:
    mingw32(libfreexl-1.dll)
    mingw32-freexl

mingw64-freexl:
    mingw64(libfreexl-1.dll)
    mingw64-freexl



Source checksums
----------------
http://www.gaia-gis.it/gaia-sins/freexl-sources/freexl-1.0.3.tar.gz :
  CHECKSUM(SHA256) this package     : f8ed29e03a6155454e538fce621e53991a270fcee31120ded339cff2523650a8
  CHECKSUM(SHA256) upstream package : f8ed29e03a6155454e538fce621e53991a270fcee31120ded339cff2523650a8


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-test-x86_64 -b 1238376
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 6 Gwyn Ciesla 2017-09-04 18:17:25 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/mingw-freexl


Note You need to log in before you can comment on or make changes to this bug.